Bug 255574 - multimedia/libxine gnomevfs removed
Summary: multimedia/libxine gnomevfs removed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-03 18:25 UTC by Jack
Modified: 2021-05-11 09:49 UTC (History)
2 users (show)

See Also:


Attachments
remove GNOMEVFS2 from pkg-plist (514 bytes, patch)
2021-05-11 09:37 UTC, Felix Palmen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2021-05-03 18:25:50 UTC
Looks like gnomevfs2 was removed from ports but not from libxine

     GNOMEVFS2=on: GnomeVFS2 (virtual file system) support
===>  libxine-1.2.11_3 cannot install: Unknown component gnomevfs2.
Comment 1 commit-hook freebsd_committer 2021-05-10 16:54:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=24c35addb4584b1323b14899f8a5d7469363a07c

commit 24c35addb4584b1323b14899f8a5d7469363a07c
Author:     Li-Wen Hsu <lwhsu@FreeBSD.org>
AuthorDate: 2021-05-10 16:54:10 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-05-10 16:54:10 +0000

    multimedia/libxine: Remove GNOMEVFS2 option

    GNOME=gnomevfs2 was removed in
    8e6f2eb82e5edec98737d1f9c12361343def00c7

    PR:             255574
    Reported by:    Jack <xxjack12xx@gmail.com>

 multimedia/libxine/Makefile | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)
Comment 2 Felix Palmen 2021-05-11 09:37:34 UTC
Created attachment 224834 [details]
remove GNOMEVFS2 from pkg-plist

The option is still in pkg-plist, leading to this error during package:

===>  Building package for libxine-1.2.11_3
pkg-static: Unable to access file /wrkdirs/usr/ports/multimedia/libxine/work/stage/usr/local/%%GNOMEVFS2%%lib/xine/plugins/2.9/xineplug_inp_gnome_vfs.so:No such file or directory
*** Error code 1
Comment 3 commit-hook freebsd_committer 2021-05-11 09:48:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=078d265e79aa64cc9d5952534eec027e0a054415

commit 078d265e79aa64cc9d5952534eec027e0a054415
Author:     Li-Wen Hsu <lwhsu@FreeBSD.org>
AuthorDate: 2021-05-11 09:48:08 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-05-11 09:48:08 +0000

    multimedia/libxine: Complete removing GNOMEVFS2 option

    Missed in 24c35addb4584b1323b14899f8a5d7469363a07c

    PR:             255574
    Reported by:    Felix Palmen <felix@palmen-it.de>

 multimedia/libxine/pkg-plist | 1 -
 1 file changed, 1 deletion(-)
Comment 4 Li-Wen Hsu freebsd_committer 2021-05-11 09:49:35 UTC
(In reply to Felix Palmen from comment #2)
Fixed, thanks for reporting!